Autodialer

Get your autodialer subscriptions

Fetch active autodialer subscription and their subscription plans information, filtered by given parameters. Returns data with pagination. Each Autodialer subscription contains data about its billing.

GET
/api/v1/autodialer/subscriptions

Query Parameters

billing_period?array<>

Accepts a list of frequency values to filter by. If the list is empty, this filter will be ignored.

id?array<integer>

Accepts a list of autodialer subscriptions unique ids to filter by. If the list is empty, this filter will be ignored.

one_time_amount_from?number

Optional parameter. Allows to filter subscriptions by activation. Only subscriptions with activation value greater than the given will be returned.

Range0 <= value
one_time_amount_to?number

Optional parameter. Allows to filter subscriptions by activation. Only subscriptions with activation value less than the given will be returned.

Range0 <= value
page?integer

Pagination parameters. Accepts page number. Pagination starts on page=1. If parameter is not provided, the default value of 1 will be set.

page_size?integer

Pagination parameter. Accepts the size of page for pagination. Minimal page size is 1. If parameter is not provided, the default value of 10 will be set.

period_end?string

Time period filter, determines the end of the period. Accepts string with time either as UNIX timestamp, or in format 2006-01-02T15:04:05Z07:00.

period_start?string

Time period filter, determines the start of the period. Accepts string with time either as UNIX timestamp, or in format 2006-01-02T15:04:05Z07:00.

plan_id?array<integer>

Accepts a list of autodialer plans unique ids to filter by. Only subscription with these plans will be returned. If the list is empty, this filter will be ignored. Plan IDs can be obtained from GET /api/v1/autodialer/plans.

price_per_user_from?number

Optional parameter. Allows to filter subscriptions by price_per_user. Only subscriptions with price_per_user value greater than the given will be returned.

Range0 <= value
price_per_user_to?number

Optional parameter. Allows to filter subscriptions by price_per_user. Only subscriptions with price_per_user value less than the given will be returned.

Range0 <= value
q?string

Optional parameter that allows to search Autodialers by name and comment, subscription plan's title and/or description values. The search operation is partial.

sort_by?string

Ordering parameter. Defines by which field the data will be sorted. If parameter is not provided, will be used entity's default ordering. To use entity's default sorting, pass _default as value.

Value in"_default" | "activated_at" | "next_payment_at" | "title" | "description" | "name" | "url" | "comment" | "subscription_status" | "activation" | "base_monthly" | "price_per_user" | "frequency" | "status"
sort_order?string

Ordering parameter. Defines the order of sorting (asc or desc). If parameter is not provided, will be used entity's default ordering.

Value in"asc" | "desc"
status?array<>

Accepts a list of autodialer statuses to filter by. If the list is empty, this filter will be ignored.

subscription_amount_from?number

Optional parameter. Allows to filter subscriptions by base_monthly. Only subscriptions with base_monthly value greater than the given will be returned.

Range0 <= value
subscription_amount_to?number

Optional parameter. Allows to filter subscriptions by base_monthly. Only subscriptions with base_monthly value less than the given will be returned.

Range0 <= value

Header Parameters

Authorization*string

Your API token

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://dev-refactor-api-e.voipenv.uk/api/v1/autodialer/subscriptions" \  -H "Authorization: string"
{
  "data": [
    {
      "activated_at": "string",
      "activation": 0,
      "agents_count": 0,
      "base_monthly": 0,
      "comment": "string",
      "frequency": "monthly",
      "id": 0,
      "name": "string",
      "next_payment_at": "string",
      "plan": {
        "activation": 0,
        "description": "string",
        "frequency": "monthly",
        "id": 0,
        "monthly": 0,
        "price_per_user": 0,
        "title": "string"
      },
      "price_per_user": 0,
      "status": "configuring",
      "subscription_status": "disabled",
      "url": "string"
    }
  ],
  "page": 0,
  "page_size": 0,
  "total": 0,
  "total_pages": 0
}
{
  "code": 0,
  "error_details": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  },
  "message": "string",
  "request_id": "string",
  "status": "error"
}
{
  "code": 0,
  "error_details": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  },
  "message": "string",
  "request_id": "string",
  "status": "error"
}
{
  "code": 0,
  "error_details": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  },
  "message": "string",
  "request_id": "string",
  "status": "error"
}
Form Call To Action

Contact us

You can always send us a message or email. Weʼd be happy to help you out.